Alerts
Show your alert email settings
GET /v1/alert-notification-preferences · SDK getAlertNotificationPreferences · CLI deployments monitor notification-settings
GET
Requires monitors:read; admits human callers.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$AlertNotificationPreferencesResponse
application/json- response
email*stringValue in
"all""none"mutedMonitorIds*array<>curl -X GET "https://example.com/v1/alert-notification-preferences" \ -H "x-deployments-organization: string"{ "email": "all", "mutedMonitorIds": [ "string" ]}